package com.caimei365.tools.mapper;

import com.caimei365.tools.model.dto.message.InsideMessage;
import com.caimei365.tools.model.po.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/7/7
 */
@Mapper
public interface MessageCenterMapper {


    void addMessageCenter(MessageCenterPo messageCenter);

    Integer clubIdCule(Integer userId);

    Integer shopID(Integer userId);

    List<Integer> receiptShopID();

    Integer MessageCount(Integer userType,Integer messageType,Integer commonId);

    /**
     *commonId是通过userType类型来区分供应商和机构
     */
    Integer Count(Integer userType,Integer commonId);

    Integer receStatct(Integer shopID);

    /**
     * 上架费数量
     */
    Integer listingFee(Integer shopID);

    /**
     * 上架费过期数量
     */
    Integer listingfeeExpire(Integer shopID);

    String contractMobile(Integer clubID);

    String contractMobiles(Integer ShopID);

    String getOpenidListByPermission(Integer shopId);

    String FromUnionId(Integer userID);

    Integer getVipHistoryCount(Integer userID);

    MessageCenterPo MainImage(Integer userType, Integer commonId,Integer orderID);

    MessageCenterPo productImage(Integer productID,Integer shopID);

    Integer productCount(Integer orderID);

    String receiptDate(Integer shopID);

    Double receiptAmount(Integer shopID);

    Integer newReceiptType(Integer shopID);

    Integer updateMessageAsRead(Integer userType,Integer messageType,Integer commonId);

    List<Integer> ClubIds();

    Integer userId(String openid);

    Integer userIds(Integer shopID);

    Integer deleteMessage(String id);

    Integer updateRead(Integer userType,String Id);

    List<CmCouponPo> couponTime();

    CmUserPo clubList(Integer clubId);

    CmUserPo clubLists(Integer userId);

    CmCouponPo CouponList(Integer couponType);

    List<CmCouponPo> CouponLists(Integer userID);

    List<Integer> CouponUserId();

    void sendInsideMessage(InsideMessage insideMessage);

    List<ShopReceiptVo> findExpireShopId(Integer day);

    List<CmCouponPo> findOutTimeCoupons(Integer day);

    void addNotification(Notification notification);

    List<QualificationPo> findOutTimeQualification(Integer day);
}
