package com.caimei365.tools.model.dto.message.enums;

import lombok.AllArgsConstructor;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;


/**
 * @auther: Kaick
 * @date: 2023/11/28 17:06
 */
@Slf4j
@ToString
@AllArgsConstructor
public enum WechatType {

    CAIMEI("wx91c4152b60ca91a3", "a563dd2c07c9c815a4e697c8b6cb73dc","1", "采美公众号"),
    HEHE("wx778caddd81b66a2f", "eb5987c766198f45d7f2c489b5fd5100", "2","颜选美学公众号");
    private String APPID;
    private String APPSECRET;
    private String TYPE;
    private String description;

    public static WechatType initWechatType(String type) {
        log.info("微信公众号>>>" + type);
        WechatType wechatType;
        if (StringUtils.equals("2", type) ) {
            wechatType = WechatType.HEHE;
        } else {
            wechatType = WechatType.CAIMEI;
        }
        return wechatType;
    }
    public String getTYPE() {
        return TYPE;
    }

    public void setTYPE(String TYPE) {
        this.TYPE = TYPE;
    }
    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getAPPID() {
        return APPID;
    }

    public void setAPPID(String APPID) {
        this.APPID = APPID;
    }

    public String getAPPSECRET() {
        return APPSECRET;
    }

    public void setAPPSECRET(String APPSECRET) {
        this.APPSECRET = APPSECRET;
    }
}
