package com.caimei365.tools.model.dto.message;


import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

@Data
@Accessors(fluent = true)
@NoArgsConstructor
public class SmsMessage {
    /**
     * 短信类型：1通知短信，2验证码短信，3营销短信
     */
    @NotNull
    private Integer type;
    /**
     *  手机号   接收的手机号；多个手机号使用英文逗号间隔，一次不要超过1000个；
     */
    @NotNull
    private String mobile ;
    /**
     * 短信内容
     */
    @NotNull
    private String smsMessageContent;

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getSmsMessageContent() {
        return smsMessageContent;
    }

    public void setSmsMessageContent(String smsMessageContent) {
        this.smsMessageContent = smsMessageContent;
    }
}
