package com.caimei365.tools.model.po;

import lombok.Data;

import java.sql.Timestamp;

@Data
public class SearchFrequencyVo {
    private Integer id;
    /**
     * 数据来源（1：首页；2：信息中心）
     */
    private Integer fromSearch;
    /**
     * 接口路径
     */
    private String path;
    /**
     * 关键词
     */
    private String keyword;
    /**
     * 关键词出现次数
     */
    private Integer frequency;
    /**
     * 搜索时间
     */
    private Timestamp searchTime;
    /**
     * 0:未加入关键词库；1：已加入关键词库
     */
    private Integer trueStatus;
    /**
     * 联动搜索次数
     */
    private Integer linkageFrequency;
    /**
     * 推荐状态：0未推荐，1已推荐
     */
    private Integer recommendStatus;
}

