package com.caimei365.tools.service;

import com.caimei365.tools.model.po.CmBehaviorRecordPo;
import com.caimei365.tools.model.po.IpSavePo;

import java.io.IOException;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/11/2
 */
public interface CmBehaviorRecordService {
    void insertRecord(IpSavePo ipSavePo);

    void updateBehaviorTime();

    void setIpAddress(Integer startId, Integer endId) throws IOException;

    void setProductCostProportional();

    void updateBehaviorUser();

    void insertBehaviorUser();

    void insertTodayData();

    void updateClubAddress(Integer startId, Integer endId);

    /**
     * 页面统计
     */
    void pageStatistics();

    /**
     * 机构需求标签
     * @param startTime
     * @param endTime
     */
    void clubDemand(String startTime, String endTime);
}
